> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contact By ID

> Get Contact By ID



## OpenAPI

````yaml get /v1/customers/{customer_id}/contacts/{contact_id}
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/customers/{customer_id}/contacts/{contact_id}:
    get:
      tags:
        - Contact
      summary: Get Contact By ID
      description: Get Contact By ID
      parameters:
        - description: customer_id
          name: customer_id
          in: path
          required: true
          schema:
            type: string
        - description: contact_id
          name: contact_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dtos.ContactDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessResponse:
      type: object
      properties:
        data:
          x-order: '1'
    dtos.ContactDetailsResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 0c05a9a7-84ed-46f0-819b-653545730920
        reference_id:
          type: string
          x-order: '2'
          example: CUS123
        first_name:
          type: string
          x-order: '3'
          example: John
        last_name:
          type: string
          x-order: '4'
          example: Doe
        email:
          type: string
          x-order: '5'
          example: john.doe@example.com
        phone:
          type: string
          x-order: '6'
          example: '+14155552671'
        designation:
          type: string
          x-order: '7'
          example: Sales Manager
        status:
          type: string
          enum:
            - active
            - inactive
          x-order: '8'
          example: active
        is_default:
          type: boolean
          x-order: '9'
          example: false
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/attribute.AttributeValueResponse'
          x-order: '10'
        created_at:
          type: string
          x-order: '11'
          example: '2025-01-01T15:04:05Z'
        updated_at:
          type: string
          x-order: '12'
          example: '2025-01-01T15:04:05Z'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    attribute.AttributeValueResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        name:
          type: string
          x-order: '2'
          example: Color
        value:
          type: string
          x-order: '3'
          example: Red
        created_by:
          type: string
          x-order: '4'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        updated_by:
          type: string
          x-order: '5'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        created_at:
          type: string
          x-order: '6'
          example: '2021-01-01T00:00:00Z'
        updated_at:
          type: string
          x-order: '7'
          example: '2021-01-01T00:00:00Z'
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````